Bank Account Connection Intents
A Bank Account Connection Intent facilitates user authorization of access to Bank Accounts, for example, using Open Banking flows. Typically the authorization will follow an OAuth flow where the user is redirected to a third-party system to authenticate and select one or more bank accounts.
Bank Account Connection Intent Model
Attributes
Bank Account Connection Intent Types
| Name | description |
|---|---|
| account-information-consent | Initiates an authorization flow for authorizing access to bank account details. After a Bank Account Connection Intent has been authorized, one or more Centrapay Bank Account resources may be created. |
| enduring-payment-consent | Initiates an authorization flow for authorizing access to create payments. |
Create Bank Account Connection Intent experimental
This endpoint allows you to create a Bank Account Connection Intent.
Attributes
accountId
stringrequiredtype
stringrequiredbankAccountId
stringtest
booleanname
stringperiod
stringtotalAmount
string
Errors
LIVENESS_MISMATCH
403
curl -X POST https://service.centrapay.com/api/bank-account-connection-intents \-H 'content-type: application/json' \-H 'x-api-key: <TOKEN>' \-d '{ "accountId": "B4u4WZCu3joZFVWT3XjWW3", "type": "account-information-consent", "test": true}'{ "id": "3KVjuKW2CZCJeJVqPxwkX7", "accountId": "B4u4WZCu3joZFVWT3XjWW3", "type": "account-information-consent", "status": "created", "createdAt": "2022-03-31 02:56:29 UTC", "createdBy": "crn:B4u4WZCu3joZFVWT3XjWW3:api-key:MyApiKey", "updatedAt": "2022-03-31 02:56:29 UTC", "updatedBy": "crn:B4u4WZCu3joZFVWT3XjWW3:api-key:MyApiKey", "authorizationUrl": "https://example.com/authorization-url", "test": true}Authorize Bank Account Connection Intent experimental
This endpoint allows you to authorize a Bank Account Connection Intent.
Attributes
code
string
Errors
AUTHORIZATION_PENDING
403
curl -X POST https://service.centrapay.com/api/bank-account-connection-intents/3KVjuKW2CZCJeJVqPxwkX7/authorize \-H 'content-type: application/json' \-H 'x-api-key: <TOKEN>' \-d '{ "code": "hKpKupTM391pE10xfQiorMxXarRKAHRhTfH_x"}'{}